#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const commander_1 = require("commander");
const copyTemplate_1 = __importDefault(require("./lib/copyTemplate"));
const initGitRepo_1 = __importDefault(require("./lib/initGitRepo"));
const pkg = require('../package.json');
let appDir;
const program = new commander_1.Command(chalk_1.cyan(`npx ${pkg.name}`))
    .version(pkg.version)
    .description(pkg.description)
    .usage(chalk_1.green('<app-directory> [options]'))
    .arguments('[app-directory]')
    .action((appDirectory) => {
    appDir = appDirectory;
})
    .option('-s, --simple', 'Use simple template')
    .parse();
if (!appDir) {
    program.outputHelp();
    console.log();
    console.log('For example:');
    console.log(`  ${program.name()} ${chalk_1.green('my-app')}\n`);
    process.exit();
}
console.log();
const options = program.opts();
copyTemplate_1.default(appDir, options);
initGitRepo_1.default();
console.log(`${chalk_1.green('Done!')}\n`);
//# sourceMappingURL=index.js.map