"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const child_process_1 = require("child_process");
const pkg = require('../../package.json');
const isGitInstalled = () => {
    try {
        child_process_1.execSync('git --version', { stdio: 'ignore' });
        return true;
    }
    catch (err) {
        return false;
    }
};
const initGitRepo = () => {
    if (isGitInstalled()) {
        console.log(`${chalk_1.green('Initializing Git repository...')}\n`);
        child_process_1.execSync(`git init && git add . && git commit -m "Initialize project with ${pkg.name}"`, { stdio: 'ignore' });
    }
};
exports.default = initGitRepo;
//# sourceMappingURL=initGitRepo.js.map